Ask Your Question
0

RpcQpidTestCase: SKIP: Test requires qpid

asked 2012-02-07 18:51:11 -0500

swoo gravatar image

I'm following the steps at http://wiki.openstack.org/XenServerDevelopment (http://wiki.openstack.org/XenServerDe...) After running "./run_tests.sh -x -N", I'm seeing the following in the test results:

RpcQpidTestCase test_call SKIP: Test requires qpid test_cast SKIP: Test requires qpid test_create_connection SKIP: Test requires qpid test_create_consumer SKIP: Test requires qpid test_create_consumer_fanout SKIP: Test requires qpid test_fanout_cast SKIP: Test requires qpid test_multicall SKIP: Test requires quid

The overall test results are: Ran 2553 tests in 388.941s

OK (SKIP=12) Slowest 5 tests took 29.23 secs: 7.76 test_instance_initiated_shutdown_behavior (nova.tests.api.ec2.test_cloud.CloudTestCase) 7.48 test_create_and_rebuild_server (nova.tests.integrated.test_servers.ServersTest) 5.78 test_create_multiple_servers (nova.tests.integrated.test_servers.ServersTest) 4.11 test_stop_with_attached_volume (nova.tests.api.ec2.test_cloud.CloudTestCase) 4.11 test_stop_start_with_volume (nova.tests.api.ec2.test_cloud.CloudTestCase) Running pep8 ...

The instruction page says "Ensure Test Pass". Are these skipped tests are critical? If they are, what are the qpid package names?

Thanks you. --Shirley

edit retag flag offensive close merge delete

9 answers

Sort by ยป oldest newest most voted
0

answered 2012-02-09 19:36:52 -0500

swoo gravatar image

Thanks Russell Bryant, that solved my question.

edit flag offensive delete link more
0

answered 2012-02-09 18:48:36 -0500

swoo gravatar image

In response to comment #5: I just checked and I see a rabbitmq-server process running on the system.

edit flag offensive delete link more
0

answered 2012-02-09 19:09:22 -0500

The message "ImportError: No module named qpid.messaging" means that python-qpid is not installed (or there is a problem with the python-qpid package). Since your system is configured to use rabbitmq (the OpenStack default), you can safely ignore the fact that these tests are not being run.

edit flag offensive delete link more
0

answered 2012-02-09 19:36:19 -0500

swoo gravatar image

Thank you for your help.

edit flag offensive delete link more
0

answered 2012-02-08 20:22:19 -0500

swoo gravatar image

I installed the following qpid packages, but still have the "Test requires qpid" messages

sudo apt-get install python-qpid
sudo apt-get install qpid-python
sudo apt-get install qpid
sudo apt-get install qpid-client
sudo apt-get install libqpidclient2
sudo apt-get install libqpidcommon2
edit flag offensive delete link more
0

answered 2012-02-09 08:19:31 -0500

Can you post the output of the following command? Run it from the base directory in the source tree (where run_tests.sh is)

$ python -c "import nova.rpc.impl_qpid"

edit flag offensive delete link more
0

answered 2012-02-09 08:23:46 -0500

To answer your question more directly, if you are following the instructions you linked to, these tests are not important and you can ignore them. Presumably you are usinng rabbitmq. These tests are only relevant if you would like to use Qpid instead of rabbitmq.

I'm still curious why the tests didn't run after you installed python-qpid, which is why I asked my last question.

edit flag offensive delete link more
0

answered 2012-02-09 17:59:52 -0500

swoo gravatar image

~/openstack/nova$ python -c "import nova.rpc.impl_qpid" Traceback (most recent call last): File "<string>", line 1, in <module> File "nova/rpc/impl_qpid.py", line 25, in <module> import qpid.messaging ImportError: No module named qpid.messaging

Seems like I might still be missing a package, but not sure which one.

edit flag offensive delete link more
0

answered 2012-02-09 18:03:03 -0500

swoo gravatar image

In response to comment #4: I've been following the install and don't recall that there was any place that asked me if I wanted to use rabbitmq vs python-qpid. How do I know if I'm using rabbitmq?

edit flag offensive delete link more

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2012-02-07 18:51:11 -0500

Seen: 60 times

Last updated: Feb 09 '12